Fetch Cross Selling Coupons

Fetch the partner brand coupons owned by a customer, i.e. the result of Reward Cross Selling Offer or Redeem Cross Selling Offer. Refer to this article for the authentication flow when calling this API from a storefront or client side environment.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
uuid
required

(Required) (This needs to be leads _id value)

uuid

(This needs to be publiccoupons publicoffer_id value) (Filter coupons generated from a specific partner brand offer)

uuid

(This needs to be publiccoupons _id value)

number
≥ 1

(Minimum is 1)

number
1 to 100

(Minimum is 1) (Maximum is 100)

string
enum

(This can only be one of created_at,updated_at)

Allowed:
string
enum

(This can only be one of ASC,DESC)

Allowed:
Headers
string
enum
required

(Required) (This can only be one of mobile,web) (web for browsers and servers, mobile for native apps)

Allowed:
string
required

(Required) (This needs to be your apikey)

string
required

(Required) (This needs to be your workspaceid)

string

(Required when using a storefront read only api key, not needed with a server api key) (This needs to be the lead_token of the customer, a 1 hour JWT returned by Get User via the x-leaddigest flow or generated on your server with your api signing secret) (When passed, the customer is taken from the token and any lead_id or customer_id in the request is ignored) (Learn more about authentication here)

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json